#!/usr/bin/perl
 
########################################################################
# COPYRIGHT NOTICE:
#
# Copyright 2008 FocalMedia.Net All Rights Reserved.
#
# Selling the code for this program without prior written consent 
# from FocalMedia.Net is expressly forbidden. You may not 
# redistribute this program in any shape or form.
# 
# This program is distributed "as is" and without warranty of any
# kind, either express or implied. In no event shall the liability 
# of FocalMedia.Net for any damages, losses and/or causes of action 
# exceed the total amount paid by the user for this software.
#
########################################################################

#### EDIT HERE -- FOR WINDOWS/IIS BASED INSTALLATIONS ONLY #######

$config_cgi = "../config.cgi"; ## <-- CHANGE THIS LINE TO THE FULL SERVER PATH TO config.cgi

# THE PATH ON A WINDOWS INSTALLATION WILL LOOK SOMETHING LIKE THIS:
# $config_cgi = "c:/inetpub/webpub/cgi-bin/pseek/config.cgi";

#### DO NOT CHANGE ANYTHING BELOW THIS LINE #################


#use FindBin;
#use lib $FindBin::Bin;
use CGI;
use DBI;
use acs;
use obbuild;

&get_setup;
$q = CGI->new;

acs::check_access($username, $password, $q->param('username'), $q->param('password'));

##################################################################################

print "Content-type: text/html\n\n";
if ($q->param('fct') eq "banner_group_operations") {&start;}
if ($q->param('fct') eq "add_banner_final") {&add_banner_final;}
if ($q->param('fct') eq "save_banner") {&save_banner;}
if ($q->param('fct') eq "delete_banner") {&delete_banner2;}
if ($q->param('fct') eq "reset_stats_final") {&reset_stats_final;}

##################################################################################




sub start
{

if ($q->param('add_b') ne ""){&add_banner; exit;}
if ($q->param('faction') eq "edit"){&edit_banner;}
if ($q->param('faction') eq "stats"){&banner_stats;}
if ($q->param('faction') eq "delete"){&delete_banner;}
if ($q->param('faction') eq "reset_stats"){&reset_stats;}

}




sub reset_stats_final
{

$bid = $q->param('bid');
$gid = $q->param('gid');
$bname = $q->param('bname');
$bgroup = $q->param('bgroup');

if ($mysql_hostname eq ""){$dsn = "DBI:mysql:$db_name";}else{$dsn = "DBI:mysql:$db_name:$mysql_hostname:$mysql_port";}
$dbh = DBI->connect($dsn, $db_username, $db_password);
if ( !defined $dbh ) {die "Cannot connect to MySQL server: $DBI::errstr\n"; }

##### DELETE STATS

$sql = "DELETE FROM balogs WHERE bid = '$bid'";
$sth = $dbh->prepare($sql);
$sth->execute;
$serror = ""; $serror = $sth->errstr; if ($serror ne "") {die "SQL Syntax Error: $serror - From $sql";}

###### 

$sql = "SELECT impressions, clicks FROM balogs WHERE groupid = '$gid'";
$sth = $dbh->prepare($sql);
$sth->execute;
$serror = ""; $serror = $sth->errstr; if ($serror ne "") {die "SQL Syntax Error: $serror - From $sql";}

while ( @row = $sth->fetchrow() )
	{
   $impressions = $impressions + $row[0];
   $clicks = $clicks + $row[1];
	}

########

$sql = "UPDATE bannergrp SET current_imp = '$impressions', current_clc = '$clicks' WHERE groupid = '$gid'";
$sth = $dbh->prepare($sql);
$sth->execute;
$serror = ""; $serror = $sth->errstr; if ($serror ne "") {die "SQL Syntax Error: $serror - From $sql";}


$sth->finish;
$dbh->disconnect;

#########

$hbox = acs::get_heading_box("$web_url/ic_banner2.gif", "Banner Statistics Cleared", qq[
<a href="$admin_url/admin29.cgi?fct=group_operations&amp;faction=Edit&amp;group=$bgroup-$gid">Click Here to Continue</a>
]);


print <<END_OF_DEL3;
<html>
<head>
<title>PowerSeek</title>
<link href="$web_url/ps.css" rel="stylesheet" type="text/css">
</head>
<body>
$hbox
</body>
</html>


END_OF_DEL3

}





sub reset_stats
{

$bid = $q->param('bid');
$gid = $q->param('gid');
$bgroup = $q->param('bgroup');

if ($mysql_hostname eq ""){$dsn = "DBI:mysql:$db_name";}else{$dsn = "DBI:mysql:$db_name:$mysql_hostname:$mysql_port";}
$dbh = DBI->connect($dsn, $db_username, $db_password);
if ( !defined $dbh ) {die "Cannot connect to MySQL server: $DBI::errstr\n"; }

$sql = "SELECT bname FROM banners WHERE bid = '$bid'";
$sth = $dbh->prepare($sql);
$sth->execute;
$serror = ""; $serror = $sth->errstr; if ($serror ne "") {die "SQL Syntax Error: $serror - From $sql";}

while ( @row = $sth->fetchrow() )
	{
	$bname = $row[0];	
	}

$sth->finish;
$dbh->disconnect;



$hbox = acs::get_heading_box("$web_url/ic_banner2.gif", "Reset Banner Stats of '$bname'", qq[
<form method="POST" action="$admin_url/admin30.cgi">
<input type="hidden" name="bid" value="$bid">
<input type="hidden" name="bname" value="$bname">
<input type="hidden" name="fct" value="reset_stats_final">
<input type="hidden" name="gid" value="$gid">
<input type="hidden" name="bgroup" value="$bgroup"><p>Are you sure? <input name="B1" type="submit" value="    Yes    "> 
 <input name="B1" type="submit" value="    No    " onClick="history.go(-1); return false;">      </p>
</form>
]);


print <<END_OF_DEL3;
<html>
<head>
<title>PowerSeek</title>
<link href="$web_url/ps.css" rel="stylesheet" type="text/css">
</head>
<body>
$hbox
</body>
</html>
END_OF_DEL3

}




sub delete_banner2
{

$bid = $q->param('bid');
$gid = $q->param('gid');
$bgroup = $q->param('bgroup');



### CLEAN UP OLD UPLOADED BANNER
$bidm = $bid . ".";
opendir (DDR,"$web_dir/edt/psbn");
my @bdfiles = readdir(DDR);
closedir (DDR); 

	foreach $ditem (@bdfiles)
		{
		if (substr($ditem, 0, length($bidm)) eq $bidm)
			{
			unlink ("$web_dir/edt/psbn/$ditem");
			}
		}




if ($mysql_hostname eq ""){$dsn = "DBI:mysql:$db_name";}else{$dsn = "DBI:mysql:$db_name:$mysql_hostname:$mysql_port";}
$dbh = DBI->connect($dsn, $db_username, $db_password);
if ( !defined $dbh ) {die "Cannot connect to MySQL server: $DBI::errstr\n"; }

##### DELETE BANNER

$sql = "DELETE FROM balogs WHERE bid = '$bid'";
$sth = $dbh->prepare($sql);
$sth->execute;
$serror = ""; $serror = $sth->errstr; if ($serror ne "") {die "SQL Syntax Error: $serror - From $sql";}

#####

$sql = "DELETE FROM banners WHERE bid = '$bid'";
$sth = $dbh->prepare($sql);
$sth->execute;
$serror = ""; $serror = $sth->errstr; if ($serror ne "") {die "SQL Syntax Error: $serror - From $sql";}

##### 

$sql = "SELECT impressions, clicks FROM balogs WHERE groupid = '$gid'";
$sth = $dbh->prepare($sql);
$sth->execute;
$serror = ""; $serror = $sth->errstr; if ($serror ne "") {die "SQL Syntax Error: $serror - From $sql";}

while ( @row = $sth->fetchrow() )
	{
   $impressions = $impressions + $row[0];
   $clicks = $clicks + $row[1];
	}

########

$sql = "UPDATE bannergrp SET current_imp = '$impressions', current_clc = '$clicks' WHERE groupid = '$gid'";
$sth = $dbh->prepare($sql);
$sth->execute;
$serror = ""; $serror = $sth->errstr; if ($serror ne "") {die "SQL Syntax Error: $serror - From $sql";}


$sth->finish;
$dbh->disconnect;

###########



$hbox = acs::get_heading_box("$web_url/ic_banner2.gif", "Banner Deleted", qq[
<a href="$admin_url/admin29.cgi?fct=group_operations&amp;faction=Edit&amp;group=$bgroup-$gid">
Click here to continue.</a>
]);



print <<END_OF_DEL3;

<html>
<head>
<title>PowerSeek</title>
<link href="$web_url/ps.css" rel="stylesheet" type="text/css">
</head>
<body>

$hbox

</body>
</html>

END_OF_DEL3

}




sub delete_banner
{

$bid = $q->param('bid');
$gid = $q->param('gid');
$bgroup = $q->param('bgroup');

if ($mysql_hostname eq ""){$dsn = "DBI:mysql:$db_name";}else{$dsn = "DBI:mysql:$db_name:$mysql_hostname:$mysql_port";}
$dbh = DBI->connect($dsn, $db_username, $db_password);
if ( !defined $dbh ) {die "Cannot connect to MySQL server: $DBI::errstr\n"; }

$sql = "SELECT bname FROM banners WHERE bid = '$bid'";
$sth = $dbh->prepare($sql);
$sth->execute;
$serror = ""; $serror = $sth->errstr; if ($serror ne "") {die "SQL Syntax Error: $serror - From $sql";}

while ( @row = $sth->fetchrow() )
	{
	$bname = $row[0];	
	}

$sth->finish;
$dbh->disconnect;


$hbox = acs::get_heading_box("$web_url/ic_banner2.gif", "Delete Banner '$bname'", qq[
<form method="POST" action="$admin_url/admin30.cgi">
      <input type="hidden" name="bid" value="$bid">
      <input type="hidden" name="fct" value="delete_banner">
      <input type="hidden" name="bname" value="$bname">
      <input type="hidden" name="gid" value="$gid">
      <input type="hidden" name="bgroup" value="$bgroup">
      <BR>Are you sure?
      <input name="B1" type="submit" value="    Yes    ">
      <input name="B1" type="submit" value="    No    " onClick="history.go(-1); return false;">
    </form>
    <BR>
]);

	
print <<END_OF_BDEL;

<html>
<head>
<title>PowerSeek</title>
<link href="$web_url/ps.css" rel="stylesheet" type="text/css">
</head>
<body>

$hbox

</body>
</html>

END_OF_BDEL

}





sub banner_stats
{

$bid = $q->param('bid');

$bgroup = $q->param('bgroup');

$groupid = $q->param('gid');

$hbox = acs::get_heading_box("$web_url/ic_banner2.gif", "Banner Statistics", qq[
<a href="$admin_url/admin29.cgi">Banner Groups</a> &gt; <a
href="$admin_url/admin29.cgi?fct=group_operations&amp;faction=Edit&amp;group=$bgroup-$groupid">$bgroup</a>
&gt; Statistics</strong></font>
]);


$s_from_day = $q->param('from_day');
$s_from_month = $q->param('from_month');
$s_from_year = $q->param('from_year');

$s_to_day = $q->param('to_day');
$s_to_month = $q->param('to_month');
$s_to_year = $q->param('to_year');


if (($s_to_day eq "") and ($s_to_month eq "") and ($s_to_year eq ""))
{
($sec,$min,$hour,$mday,$mon,$year,$wday,$ydat,$isdst) = localtime();
$year = $year + 1900;

#$start_day[$mday -1] = "selected";
$start_month[$mon] = "selected";

if ($year eq "2003") { $start_year[0] = "selected"; }
if ($year eq "2004") { $start_year[1] = "selected"; }
if ($year eq "2005") { $start_year[2] = "selected"; }
if ($year eq "2006") { $start_year[3] = "selected"; }
if ($year eq "2007") { $start_year[4] = "selected"; }
if ($year eq "2008") { $start_year[5] = "selected"; }
if ($year eq "2009") { $start_year[6] = "selected"; }
if ($year eq "2010") { $start_year[7] = "selected"; }
if ($year eq "2011") { $start_year[8] = "selected"; }
if ($year eq "2012") { $start_year[9] = "selected"; }
if ($year eq "2013") { $start_year[10] = "selected"; }
if ($year eq "2014") { $start_year[11] = "selected"; }
if ($year eq "2015") { $start_year[12] = "selected"; }
if ($year eq "2016") { $start_year[13] = "selected"; }


$end_day[$mday-1] = "selected";
$end_month[$mon] = "selected";


if ($year eq "2003") { $end_year[0] = "selected"; }
if ($year eq "2004") { $end_year[1] = "selected"; }
if ($year eq "2005") { $end_year[2] = "selected"; }
if ($year eq "2006") { $end_year[3] = "selected"; }
if ($year eq "2007") { $end_year[4] = "selected"; }
if ($year eq "2008") { $end_year[5] = "selected"; }
if ($year eq "2009") { $end_year[6] = "selected"; }
if ($year eq "2010") { $end_year[7] = "selected"; }
if ($year eq "2011") { $end_year[8] = "selected"; }
if ($year eq "2012") { $end_year[9] = "selected"; }
if ($year eq "2013") { $end_year[10] = "selected"; }
if ($year eq "2014") { $end_year[11] = "selected"; }
if ($year eq "2015") { $end_year[12] = "selected"; }
if ($year eq "2016") { $end_year[13] = "selected"; }

$nostats = "true";

}
else ### GET SELECTED DATES
{

$s_from_day = $q->param('from_day');
$s_from_month = $q->param('from_month'); $s_from_month = $s_from_month - 1;
$s_from_year = $q->param('from_year');

$start_day[$s_from_day -1] = "selected";
$start_month[$s_from_month] = "selected";

if ($s_from_year eq "2003") { $start_year[0] = "selected"; }
if ($s_from_year eq "2004") { $start_year[1] = "selected"; }
if ($s_from_year eq "2005") { $start_year[2] = "selected"; }
if ($s_from_year eq "2006") { $start_year[3] = "selected"; }
if ($s_from_year eq "2007") { $start_year[4] = "selected"; }
if ($s_from_year eq "2008") { $start_year[5] = "selected"; }
if ($s_from_year eq "2009") { $start_year[6] = "selected"; }
if ($s_from_year eq "2010") { $start_year[7] = "selected"; }
if ($s_from_year eq "2011") { $start_year[8] = "selected"; }
if ($s_from_year eq "2012") { $start_year[9] = "selected"; }
if ($s_from_year eq "2013") { $start_year[10] = "selected"; }
if ($s_from_year eq "2014") { $start_year[11] = "selected"; }
if ($s_from_year eq "2015") { $start_year[12] = "selected"; }
if ($s_from_year eq "2016") { $start_year[13] = "selected"; }

$end_day[$s_to_day -1] = "selected";
$end_month[$s_to_month -1] = "selected";

if ($s_to_year eq "2003") { $end_year[0] = "selected"; }
if ($s_to_year eq "2004") { $end_year[1] = "selected"; }
if ($s_to_year eq "2005") { $end_year[2] = "selected"; }
if ($s_to_year eq "2006") { $end_year[3] = "selected"; }
if ($s_to_year eq "2007") { $end_year[4] = "selected"; }
if ($s_to_year eq "2008") { $end_year[5] = "selected"; }
if ($s_to_year eq "2009") { $end_year[6] = "selected"; }
if ($s_to_year eq "2010") { $end_year[7] = "selected"; }
if ($s_to_year eq "2011") { $end_year[8] = "selected"; }
if ($s_to_year eq "2012") { $end_year[9] = "selected"; }
if ($s_to_year eq "2013") { $end_year[10] = "selected"; }
if ($s_to_year eq "2014") { $end_year[11] = "selected"; }
if ($s_to_year eq "2015") { $end_year[12] = "selected"; }
if ($s_to_year eq "2016") { $end_year[13] = "selected"; }

}



print <<END_OF_BS;
<html>
<head>
<title>PowerSeek</title>
<link href="$web_url/ps.css" rel="stylesheet" type="text/css">
</head>
<body>
$hbox


<form method="POST" action="$admin_url/admin30.cgi">
  <input type="hidden" name="fct" value="banner_group_operations">
  <input type="hidden" name="faction" value="stats">
  <input type="hidden" name="bid" value="$bid">
  <input type="hidden" name="bgroup" value="$bgroup">
  <input type="hidden" name="gid" value="$groupid">
  <input type="hidden" name="displaystats" value="true">
  
  <table border="0" cellspacing="1" width="100%" cellpadding="6" bgcolor="#DDDDDD">
    <tr>
      <td width="780" height="30" colspan="2" background="$web_url/bar6.gif" class="normaltext"><strong>Banner
      Group Statistics</strong></td>
    </tr>
    <tr>
      <td width="766" colspan="2" bgcolor="#F4F4F4" class="normaltext">Choose a date range below
      to display statistics:</td>
    </tr>
    <tr>
      <td width="144" bgcolor="#FFFFFF" class="normaltext">From Date: </td>
      <td width="622" bgcolor="#FFFFFF" class="normaltext"><select name="from_day" size="1">
        <option value="1" $start_day[0]> 1 </option>
        <option value="2" $start_day[1]> 2 </option>
        <option value="3" $start_day[2]> 3 </option>
        <option value="4" $start_day[3]> 4 </option>
        <option value="5" $start_day[4]> 5 </option>
        <option value="6" $start_day[5]> 6 </option>
        <option value="7" $start_day[6]> 7 </option>
        <option value="8" $start_day[7]> 8 </option>
        <option value="9" $start_day[8]> 9 </option>
        <option value="10" $start_day[9]> 10 </option>
        <option value="11" $start_day[10]> 11 </option>
        <option value="12" $start_day[11]> 12 </option>
        <option value="13" $start_day[12]> 13 </option>
        <option value="14" $start_day[13]> 14 </option>
        <option value="15" $start_day[14]> 15 </option>
        <option value="16" $start_day[15]> 16 </option>
        <option value="17" $start_day[16]> 17 </option>
        <option value="18" $start_day[17]> 18 </option>
        <option value="19" $start_day[18]> 19 </option>
        <option value="20" $start_day[19]> 20 </option>
        <option value="21" $start_day[20]> 21 </option>
        <option value="22" $start_day[21]> 22 </option>
        <option value="23" $start_day[22]> 23 </option>
        <option value="24" $start_day[23]> 24 </option>
        <option value="25" $start_day[24]> 25 </option>
        <option value="26" $start_day[25]> 26 </option>
        <option value="27" $start_day[26]> 27 </option>
        <option value="28" $start_day[27]> 28 </option>
        <option value="29" $start_day[28]> 29 </option>
        <option value="30" $start_day[29]> 30 </option>
        <option value="31" $start_day[30]> 31 </option>
      </select> <select name="from_month" size="1">
        <option $start_month[0] value="1"> January </option>
        <option $start_month[1] value="2"> February </option>
        <option $start_month[2] value="3"> March </option>
        <option $start_month[3] value="4"> April </option>
        <option $start_month[4] value="5"> May </option>
        <option $start_month[5] value="6"> June </option>
        <option $start_month[6] value="7"> July </option>
        <option $start_month[7] value="8"> August </option>
        <option $start_month[8] value="9"> September </option>
        <option $start_month[9] value="10"> October </option>
        <option $start_month[10] value="11"> November </option>
        <option $start_month[11] value="12"> December </option>
      </select> <select name="from_year" size="1">
        <option $start_year[0] value="2003"> 2003 </option>
        <option $start_year[1] value="2004"> 2004 </option>
        <option $start_year[2] value="2005"> 2005 </option>
        <option $start_year[3] value="2006"> 2006 </option>
        <option $start_year[4] value="2007"> 2007 </option>
        <option $start_year[5] value="2008"> 2008 </option>
        <option $start_year[6] value="2009"> 2009 </option>
        <option $start_year[7] value="2010"> 2010 </option>
        <option $start_year[8] value="2011"> 2011 </option>
        <option $start_year[9] value="2012"> 2012 </option>
        <option $start_year[10] value="2013"> 2013 </option>
        <option $start_year[11] value="2014"> 2014 </option>
        <option $start_year[12] value="2015"> 2015 </option>
        <option $start_year[13] value="2016"> 2016 </option>
        
      </select></td>
    </tr>
    <tr>
      <td width="144" bgcolor="#FFFFFF" class="normaltext">To Date:&nbsp; </td>
      <td width="622" bgcolor="#FFFFFF" class="normaltext"><select name="to_day" size="1">
        <option $end_day[0] value="1"> 1 </option>
        <option $end_day[1] value="2"> 2 </option>
        <option $end_day[2] value="3"> 3 </option>
        <option $end_day[3] value="4"> 4 </option>
        <option $end_day[4] value="5"> 5 </option>
        <option $end_day[5] value="6"> 6 </option>
        <option $end_day[6] value="7"> 7 </option>
        <option $end_day[7] value="8"> 8 </option>
        <option $end_day[8] value="9"> 9 </option>
        <option $end_day[9] value="10"> 10 </option>
        <option $end_day[10] value="11"> 11 </option>
        <option $end_day[11] value="12"> 12 </option>
        <option $end_day[12] value="13"> 13 </option>
        <option $end_day[13] value="14"> 14 </option>
        <option $end_day[14] value="15"> 15 </option>
        <option $end_day[15] value="16"> 16 </option>
        <option $end_day[16] value="17"> 17 </option>
        <option $end_day[17] value="18"> 18 </option>
        <option $end_day[18] value="19"> 19 </option>
        <option $end_day[19] value="20"> 20 </option>
        <option $end_day[20] value="21"> 21 </option>
        <option $end_day[21] value="22"> 22 </option>
        <option $end_day[22] value="23"> 23 </option>
        <option $end_day[23] value="24"> 24 </option>
        <option $end_day[24] value="25"> 25 </option>
        <option $end_day[25] value="26"> 26 </option>
        <option $end_day[26] value="27"> 27 </option>
        <option $end_day[27] value="28"> 28 </option>
        <option $end_day[28] value="29"> 29 </option>
        <option $end_day[29] value="30"> 30 </option>
        <option $end_day[30] value="31"> 31 </option>
      </select> <select name="to_month" size="1">
        <option $end_month[0] value="1"> January </option>
        <option $end_month[1] value="2"> February </option>
        <option $end_month[2] value="3"> March </option>
        <option $end_month[3] value="4"> April </option>
        <option $end_month[4] value="5"> May </option>
        <option $end_month[5] value="6"> June </option>
        <option $end_month[6] value="7"> July </option>
        <option $end_month[7] value="8"> August </option>
        <option $end_month[8] value="9"> September </option>
        <option $end_month[9] value="10"> October </option>
        <option $end_month[10] value="11"> November </option>
        <option $end_month[11] value="12"> December </option>
      </select> <select name="to_year" size="1">
        <option $end_year[0] value="2003"> 2003 </option>
        <option $end_year[1] value="2004"> 2004 </option>
        <option $end_year[2] value="2005"> 2005 </option>
        <option $end_year[3] value="2006"> 2006 </option>
        <option $end_year[4] value="2007"> 2007 </option>
        <option $end_year[5] value="2008"> 2008 </option>
        <option $end_year[6] value="2009"> 2009 </option>
        <option $end_year[7] value="2010"> 2010 </option>
        <option $end_year[8] value="2011"> 2011 </option>
        <option $end_year[9] value="2012"> 2012 </option>
        <option $end_year[10] value="2013"> 2013 </option>
        <option $end_year[11] value="2014"> 2014 </option>
        <option $end_year[12] value="2015"> 2015 </option>
        <option $end_year[13] value="2016"> 2016 </option>
      </select></td>
    </tr>
    <tr>
      <td width="144" bgcolor="#FFFFFF" class="normaltext"></td>
      <td width="622" bgcolor="#FFFFFF" class="normaltext"><input type="submit"
      value="   Get Statistics   " name="B1"> </td>
    </tr>
  </table>
  <table border="0" cellpadding="0" cellspacing="0" width="100%"
  background="$web_url/shadow.gif">
    <tr>
      <td width="1%" bgcolor="#FFFFFF"><font color="#FFFFFF">_</font> </td>
      <td width="99%"></td>
    </tr>
  </table>
</form>

END_OF_BS


if ($nostats eq "true")
	{
	print qq[</body></html>];
	exit;
	}


###########

print qq[<table border="0" cellpadding="6" cellspacing="1" width="100%"
style="border: 1px solid rgb(218,218,218)" height="35">
  <tr>
    <td width="19%" height="35" valign="top" background="$web_url/bar6.gif" class="normaltext"><strong>Date </strong></td>
    <td width="15%" height="35" valign="top" background="$web_url/bar6.gif" class="normaltext"><p align="center"><strong>Impressions
    </strong></td>
    <td width="16%" height="35" align="center" valign="top" background="$web_url/bar6.gif" class="normaltext"><p
    align="center"><strong>Clicks </strong></td>
    <td width="17%" height="35" align="center" valign="top" background="$web_url/bar6.gif" class="normaltext"><p
    align="center"><strong>Ratio </strong></td>
    <td width="17%" height="35" align="center" valign="top" background="$web_url/bar6.gif" class="normaltext"><p
    align="center"><strong>Imp. Graph </strong></td>
    <td width="16%" height="35" align="center" valign="top" background="$web_url/bar6.gif" class="normaltext"><strong>Clicks
    Graph </strong></td>
  </tr>
];


if ($mysql_hostname eq ""){$dsn = "DBI:mysql:$db_name";}else{$dsn = "DBI:mysql:$db_name:$mysql_hostname:$mysql_port";}
$dbh = DBI->connect($dsn, $db_username, $db_password);
if ( !defined $dbh ) {die "Cannot connect to MySQL server: $DBI::errstr\n"; }

$s_from_month++;
$sql_start = "$s_from_year-$s_from_month-$s_from_day";
$sql_end = "$s_to_year-$s_to_month-$s_to_day";


$sql = "SELECT statdate, impressions, clicks
					FROM balogs
					WHERE (bid = '$bid') AND
					(statdate >= '$sql_start') AND
					(statdate <= '$sql_end')
					ORDER BY statdate";

$sth = $dbh->prepare($sql);
$sth->execute;
$serror = ""; $serror = $sth->errstr; if ($serror ne "") {die "SQL Syntax Error: $serror - From $sql";}

$acnt = 0;
while ( @row = $sth->fetchrow() )
	{
	if ($row[1] > $high_imp){$high_imp = $row[1];}
	if ($row[2] > $high_clc){$high_clc = $row[2];}
	
	$bstats[$acnt] = "$row[0]:$row[1]:$row[2]";
	$acnt++;
	}


foreach $item (@bstats)
	{
	($sdate, $bimp, $blick) = split(/:/, $item);
	
	$total_bimp = $total_bimp + $bimp;
	$total_bclick = $total_bclick + $blick;
	
	### CLICK RATIO
	if ($bimp != 0)
		{
		$ratio = $blick * 100 / $bimp;
		$ratio = sprintf("%5.2f",$ratio); 
		$ratio = $ratio . "%";
		}
		else
		{
		$ratio = "0.00%"; $blick = 0;
		}
	
	### IMPRESSIONS GRAPH
	
	if (($bimp > 0) and ($high_imp != 0))
		{
		$impperc = int($bimp * 100 / $high_imp);
		$imp_min = 100 - $impperc;
		
		$impgraph = qq[<table border="0" cellpadding="0" cellspacing="0" width="100%" style="border: 1px solid rgb(219,219,219)"><tr><td width="$impperc%" height="20" background="$web_url/bar.gif"></td><td width="$imp_min%" height="20"></td></tr></table>];
		}
		else
		{
		$impgraph = "";
		}
	
	### CLICKS GRAPH

	if (($blick > 0) and ($high_imp != 0))
		{
		$clickperc = int($blick * 100 / $high_clc);
		$clickmin = 100 - $clickperc;
		$clickgraph = qq[<table border="0" cellpadding="0" cellspacing="0" width="100%" style="border: 1px solid rgb(219,219,219)"><tr><td width="$clickperc%" height="20" background="$web_url/bar.gif"></td><td width="$clickmin%" height="20"></td></tr></table>];
		}
		else
		{
		$clickgraph = qq[<table border="0" cellpadding="0" cellspacing="0" width="100%" style="border: 1px solid rgb(219,219,219)"><tr><td width="100%" height="20">&nbsp;</td></tr></table>];
		}
	
	
print <<END_OF_TL;
  <tr>
    <td width="19%" align="left" valign="top" class="normaltext">$sdate </td>
    <td width="15%" align="center" valign="top" class="normaltext">$bimp</td>
    <td width="16%" align="center" valign="top" class="normaltext">$blick </td>
    <td width="17%" align="center" valign="top" class="normaltext">$ratio </td>
    <td width="17%" valign="top" class="normaltext">$impgraph</td>
    <td width="16%" valign="top" class="normaltext">$clickgraph </td>
  </tr>
END_OF_TL

	}


if ($acnt == 0)
	{
print <<END_OF_NOT;
<tr class="normaltext">
 <td width="19%" valign="top" align="left" colspan="5">No banner statistics available for selected criteria.</td> 
</tr>
END_OF_NOT
	
	}

###########

$sql = "SELECT bname, image, link, weight 
					FROM banners
					WHERE bid = '$bid'";

$sth = $dbh->prepare($sql);
$sth->execute;
$serror = ""; $serror = $sth->errstr; if ($serror ne "") {die "SQL Syntax Error: $serror - From $sql";}

while ( @row = $sth->fetchrow() )
	{
	$bname = $row[0];
	$image = $row[1];
	$link = $row[2];
	$weight = $row[3];
	}

$sth->finish;
$dbh->disconnect;


#### 

if (($total_bimp > 0) and ($total_bclick > 0))
	{
	$total_bratio = $total_bclick * 100 / $total_bimp;
	$total_bratio = sprintf("%5.2f",$total_bratio); 
	$total_bratio = $total_bratio . "%";
	}
	else
	{
	$total_bratio = 0;
	if ($total_bimp < 1) { $total_bimp = 0; }
	if ($total_bclick < 1) { $total_bclick = 0; }
	}


print <<END_OF_PG;
 <tr>
    <td width="19%" align="left" valign="top" class="normaltext" background="$web_url/bar.gif"><b>Totals:</b></td>
    <td width="15%" align="center" valign="top" class="normaltext" background="$web_url/bar.gif"><b>$total_bimp</b> </td>
    <td width="16%" align="center" valign="top" class="normaltext" background="$web_url/bar.gif"><b>$total_bclick</b> </td>
    <td width="17%" align="center" valign="top" class="normaltext" background="$web_url/bar.gif"><b>$total_bratio</b> </td>
    <td width="17%" valign="top" class="normaltext" background="$web_url/bar.gif"> </td>
    <td width="16%" valign="top" class="normaltext" background="$web_url/bar.gif"> </td>
  </tr>
</table>
</table>
<table border="0" cellpadding="0" cellspacing="0" width="100%" background="$web_url/shadow.gif">
  <tr><td width="1%" bgcolor="#FFFFFF"><font color="#FFFFFF">_</font></td><td width="99%"></td></tr>
</table>

<table border="0" cellspacing="1" width="100%" cellpadding="6" bgcolor="#C0C0C0">
  <tr>
    <td width="100%" bgcolor="#F4F4F4" height="30"><p align="center"><a
    href="$link" target="_blank"><img
    src="$image" border="0"></a></td>
  </tr>
</table>

<table border="0" cellpadding="0" cellspacing="0" width="100%" background="$web_url/shadow.gif">
  <tr><td width="1%" bgcolor="#FFFFFF"><font color="#FFFFFF">_</font></td><td width="99%"></td></tr>
</table>

</body>
</html>
END_OF_PG


}





sub save_banner
{

$bgroup = $q->param('bgroup');
$gid = $q->param('gid');

$bid = $q->param('bid');

$image = $q->param('image'); $image =~ s/'/\\'/g; 
$link = $q->param('link'); $link =~ s/'/\\'/g; 
$weight = $q->param('weight'); 

### ERROR CHECKING

if (($image eq "") and ($q->param('uploadfile') eq ""))
	{
	acs::problem_popup("You have to supply a url to the banner image or upload a new banner."); 
	}
elsif ($q->param('uploadfile') ne "") ### UPLOAD NEW FILE
	{
	acs::psmakedir("$web_dir/edt");
	acs::psmakedir("$web_dir/edt/psbn");
	acs::psmakedir("$web_dir/edt/psbn/tmp");

	my @fext = split (/\./, $q->param('uploadfile')); $fnr = @fext; $fextension = $fext[$fnr - 1]; 

	$ufname = "$web_dir/edt/psbn/$bid.$fextension";
	
	$upload_filehandle = $q->param('uploadfile');
  			
				open UPLOADFILE, ">$ufname"; 
					binmode UPLOADFILE; 
					  while ( <$upload_filehandle> )
							 {
						    print UPLOADFILE;
							 } 	
				close UPLOADFILE; 
	
	$filesize = (-s "$ufname");
	if ($filesize < 1) 
			{
			if (-e "$ufname") { unlink ($ufname); }
			acs::problem_popup("The banner you tried to upload is invalid or is 0 bytes in length or there was a problem uploading the banner. This error could also be caused by a firewall.");
			}

	$image = "$web_url/edt/psbn/$bid.$fextension";
	}


###

if ($mysql_hostname eq ""){$dsn = "DBI:mysql:$db_name";}else{$dsn = "DBI:mysql:$db_name:$mysql_hostname:$mysql_port";}
$dbh = DBI->connect($dsn, $db_username, $db_password);
if ( !defined $dbh ) {die "Cannot connect to MySQL server: $DBI::errstr\n"; }

$sql = "UPDATE banners SET 	image = '$image',
										link = '$link',
										weight = '$weight'
										WHERE bid = '$bid'";

$sth = $dbh->prepare($sql);
$sth->execute;
$serror = ""; $serror = $sth->errstr; if ($serror ne "") {die "SQL Syntax Error: $serror - From $sql";}

$sth->finish;
$dbh->disconnect;


$hbox = acs::get_heading_box("$web_url/ic_banner2.gif", "Banner Saved", qq[
<a href="$admin_url/admin29.cgi?fct=group_operations&amp;faction=Edit&amp;group=$bgroup-$gid">Click here to continue.</a>
]);


print <<END_OF_M;
<html>
<head>
<title>PowerSeek</title>
<link href="$web_url/ps.css" rel="stylesheet" type="text/css">
</head>
<body>

$hbox

<table border="0" cellspacing="1" width="100%" cellpadding="6" bgcolor="#C0C0C0" height="46">
  <tr>
    <td width="100%" bgcolor="#F4F4F4" height="30"><p align="center"><a href="$link" target="_blank">
    <img src="$image" border="0"></a></td>
  </tr>
</table>
</table>
<table border="0" cellpadding="0" cellspacing="0" width="100%" background="$web_url/shadow.gif">
  <tr><td width="1%" bgcolor="#FFFFFF"><font color="#FFFFFF">_</font></td><td width="99%"></td></tr>
</table>

</body>
</html>

END_OF_M

}









sub edit_banner
{

$bgroup = $q->param('bgroup');
$gid  = $q->param('gid');
$bid = $q->param('bid');

if ($mysql_hostname eq ""){$dsn = "DBI:mysql:$db_name";}else{$dsn = "DBI:mysql:$db_name:$mysql_hostname:$mysql_port";}
$dbh = DBI->connect($dsn, $db_username, $db_password);
if ( !defined $dbh ) {die "Cannot connect to MySQL server: $DBI::errstr\n"; }

$sql = "SELECT bname, image, link, weight 
					FROM banners
					WHERE bid = '$bid'";

$sth = $dbh->prepare($sql);
$sth->execute;
$serror = ""; $serror = $sth->errstr; if ($serror ne "") {die "SQL Syntax Error: $serror - From $sql";}

while ( @row = $sth->fetchrow() )
	{
	$bname = $row[0];
	$image = $row[1];
	$link = $row[2];
	$weight = $row[3];
	}

$sth->finish;
$dbh->disconnect;


for ($ms = 0; $ms < 10; $ms++) 
	{ 
	if ($ms == $weight)
		{
		$weight_sel[$ms] = "selected";
		}
	}


###########

$hbox = acs::get_heading_box("$web_url/ic_banner2.gif", "Edit Banner", qq[
Editing Banner from Banner Group <b>'$bgroup'</b>
]);



print <<END_OF_BANNER;

<html>
<head>
<title>PowerSeek</title>
<link href="$web_url/ps.css" rel="stylesheet" type="text/css">
</head>
<body>



<form method="POST" action="$admin_url/admin30.cgi" ENCTYPE="multipart/form-data">
  <input type="hidden" name="bgroup" value="$bgroup"><input type="hidden" name="bid"
  value="$bid"><input type="hidden" name="fct" value="save_banner"><input type="hidden"
  name="gid" value="$gid"><p>$hbox <span class="normaltext"><strong><a
  href="$admin_url/admin29.cgi">Banner Groups </a>&gt;&gt; <a
  href="$admin_url/admin29.cgi?faction=Edit&amp;fct=group_operations&amp;group=$bgroup-$gid">$bgroup
  </a>&nbsp; &gt;&gt; Edit Banner </strong></span><br>
  <br>
  </p>
  <table border="0" cellpadding="6" cellspacing="1" width="100%" bgcolor="#DADADA">
    <tr>
      <td width="100%" height="30" colspan="2" valign="top" background="$web_url/bar6.gif"
      bgcolor="#FFFFFF" class="normaltext"><strong>Edit Banner $bname </strong></td>
    </tr>
    <tr>
      <td width="21%" bgcolor="#FFFFFF" class="normaltext">Banner Name: </td>
      <td width="79%" bgcolor="#FFFFFF" class="normaltext" valign="top"><strong>$bname</strong></td>
    </tr>
    <tr>
      <td width="21%" valign="top" bgcolor="#FFFFFF" class="normaltext">URL Path to banner:</td>
      <td width="79%" valign="top" bgcolor="#FFFFFF" class="normaltext">The URL path to the
      banner image:<br>
      <input type="text" name="image" size="53" class="s" value="$image"><strong><br>
      &nbsp; <br>
      -- or --<br>
      &nbsp; <br>
      </strong>Upload and replace existing banner:<strong><br>
      </strong><input type="file" name="uploadfile" size="28"></td>
    </tr>
    <tr>
      <td width="21%" valign="top" bgcolor="#FFFFFF" class="normaltext">URL to go to when
      clicked: </td>
      <td width="79%" valign="top" bgcolor="#FFFFFF" class="normaltext"><input type="text"
      name="link" size="54" class="s" value="$link"> <strong>(Required) <br>
      </strong>Users are redirected to this URL when they click the banner image. </td>
    </tr>
    <tr>
      <td width="21%" valign="top" bgcolor="#FFFFFF" class="normaltext">Weight of Banner: </td>
      <td width="79%" valign="top" bgcolor="#FFFFFF" class="normaltext"><select name="weight"
      size="1">
        <option $weight_sel[1] value="1"> 1 </option>
        <option $weight_sel[2] value="2"> 2 </option>
        <option $weight_sel[3] value="3"> 3 </option>
        <option $weight_sel[4] value="4"> 4 </option>
        <option $weight_sel[5] value="5"> 5 </option>
        <option $weight_sel[6] value="6"> 6 </option>
        <option $weight_sel[7] value="7"> 7 </option>
        <option $weight_sel[8] value="8"> 8 </option>
        <option $weight_sel[9] value="9"> 9 </option>
        <option $weight_sel[10] value="10"> 10 </option>
      </select> </td>
    </tr>
    <tr>
      <td width="21%" valign="top" bgcolor="#FFFFFF" class="normaltext"></td>
      <td width="79%" valign="top" bgcolor="#FFFFFF" class="normaltext"><div align="left"><p><input
      type="submit" value="Save Banner" name="add_bgroup"> </td>
    </tr>
  </table>
  <table border="0" cellpadding="0" cellspacing="0" width="100%"
  background="$web_url/shadow.gif">
    <tr>
      <td width="1%" bgcolor="#FFFFFF"><font color="#FFFFFF">_</font></td>
      <td width="99%"></td>
    </tr>
  </table>
  <table border="0" cellspacing="1" width="100%" cellpadding="6" bgcolor="#C0C0C0">
    <tr>
      <td width="100%" bgcolor="#F4F4F4" height="30"><div align="center"><center><p><a
      href="$link" target="_blank"><img src="$image" border="0"></a></td>
    </tr>
  </table>
  <div align="center"><center><table border="0" cellpadding="0" cellspacing="0" width="100%"
  background="$web_url/shadow.gif">
    <tr>
      <td width="1%" bgcolor="#FFFFFF"><font color="#FFFFFF">_</font></td>
      <td width="99%"></td>
    </tr>
  </table>
  </center></div>
</form>


</body>
</html>

END_OF_BANNER


}


#########

sub add_banner_final
{

$bgroup = $q->param('bgroup');
$gid = $q->param('gid');
$bname = $q->param('bname');
$image = $q->param('image');
$link = $q->param('link');
$weight = $q->param('weight');


### ERROR CHECKING

for ($ms = 0; $ms < length($bname); $ms++) 
	{
	$oneletter = substr($bname, $ms, 1);
	if (($oneletter !~ /[0-9a-zA-Z]/) and ($oneletter ne "_"))
		{
		$error_text = "The banner name you specified contains invalid characters. Please use only numerical characters or characters present in the english alphabet. You may also use underscores.";
		}
	}


if ($bname eq ""){$error_text = "You have to supply a name for the banner you would like to add";}
if ($link eq ""){$error_text = "You have to supply a URL for the banner you would like to add";}


### CHECK IF BANNER UPLOADED OR URL SPECIFIED

if (($image eq "") and ($q->param('uploadfile') eq ""))
	{
	$error_text = "You have to supply a URL to a banner or choose a banner to upload.";
	}
elsif (($image eq "http://") and ($q->param('uploadfile') eq ""))
	{
	$error_text = "You have to supply a URL to a banner or choose a banner to upload.";
	}
elsif ($q->param('uploadfile') ne "") ### UPLOAD FILE
	{
	acs::psmakedir("$web_dir/edt/psbn");
	acs::psmakedir("$web_dir/edt/psbn/tmp");

	$ufname = "$web_dir/edt/psbn/tmp/temp.tmp";
	$upload_filehandle = $q->param('uploadfile');
  			
				open UPLOADFILE, ">$ufname"; 
					binmode UPLOADFILE; 
					  while ( <$upload_filehandle> )
							 {
						    print UPLOADFILE;
							 } 	
				close UPLOADFILE; 
	
	$filesize = (-s "$ufname");

	if ($filesize < 1) 
			{
			$error_text = "The banner you tried to upload is invalid or is 0 bytes in length or there was a problem uploading the banner. This error could also be caused by a firewall."; 
			if (-e "$ufname") { unlink ($ufname); }
			}
			else
			{
			$uploaded_banner = "true";
			}
	}



### CHECK FOR DUPLICATES

if ($mysql_hostname eq ""){$dsn = "DBI:mysql:$db_name";}else{$dsn = "DBI:mysql:$db_name:$mysql_hostname:$mysql_port";}
$dbh = DBI->connect($dsn, $db_username, $db_password);
if ( !defined $dbh ) {die "Cannot connect to MySQL server: $DBI::errstr\n"; }


$sql = "SELECT A.groupid 
					FROM bannergrp AS A, banners as B
					WHERE (A.groupid = '$gid') AND (bname = '$bname')";

$sth = $dbh->prepare($sql);
$sth->execute;
$serror = ""; $serror = $sth->errstr; if ($serror ne "") {die "SQL Syntax Error: $serror - From $sql";}
$rows = $sth->rows();

if ($rows > 0) { $error_text = "The name you are trying to use for the new banner already exists."; }



if ($error_text ne "")
	{
	$sth->finish;
	$dbh->disconnect;
	acs::problem_popup($error_text);
	}


$sql = "INSERT INTO banners SET 	groupid = '$gid',
											bname = '$bname',
										 	image = '$image',
										 	link = '$link',
										 	weight	= '$weight'
										 	";

$sth = $dbh->prepare($sql);
$sth->execute;
$serror = ""; $serror = $sth->errstr; if ($serror ne "") {die "SQL Syntax Error: $serror - From $sql";}


### IF BANNER UPLOAD
if ($uploaded_banner eq "true")
	{
		$sth = $dbh->prepare("SELECT bid FROM banners WHERE bid = LAST_INSERT_ID()");
		$sth->execute;
		$serror = ""; $serror = $sth->errstr; if ($serror ne "") {die "SQL Syntax Error: $serror";}	
		while ( @row = $sth->fetchrow() ) { $last_id = $row[0]; }  
	
		my @fext = split (/\./, $q->param('uploadfile')); $fnr = @fext; $fextension = $fext[$fnr - 1]; 

		### COPY BANNER
			open (UPLOADFILE, "$web_dir/edt/psbn/tmp/temp.tmp");
			open (UPLWRITE, "> $web_dir/edt/psbn/$last_id.$fextension");

			  binmode (UPLOADFILE);
			  binmode (UPLWRITE);
			  
					  	while (defined($line=<UPLOADFILE>))
							{
							print UPLWRITE $line;
							}
			 
			close (UPLOADFILE);
			close (UPLWRITE);   
		
		$newimage = "$last_id" . "." . $fextension;
		$imagefn = "$web_url/edt/psbn/$newimage";
		
		$sql = "UPDATE banners SET image = '$imagefn' WHERE bid = '$last_id'";
		$sth = $dbh->prepare($sql);
		$sth->execute;
		$serror = ""; $serror = $sth->errstr; if ($serror ne "") {die "SQL Syntax Error: $serror - From $sql";}
		
		unlink("$web_dir/edt/psbn/tmp/temp.tmp");
		
		$image = $imagefn;
	}




$sth->finish;
$dbh->disconnect;


$hbox = acs::get_heading_box("$web_url/ic_banner2.gif", "New Banner Added", qq[
Banner added. <a href="$admin_url/admin29.cgi?fct=group_operations&amp;faction=Edit&amp;group=$bgroup-$gid">Click
    Here to Continue. </a>
]);



print <<END_OF_ADDED;

<html>
<head>
<title>PowerSeek</title>
<link href="$web_url/ps.css" rel="stylesheet" type="text/css">
</head>
<body>

$hbox
<table border="0" cellspacing="1" width="100%" cellpadding="6" bgcolor="#C0C0C0"
height="46">
  <tr>
    <td width="100%" bgcolor="#F4F4F4" height="30"><p align="center"><a href="$link"
    target="_blank"><img src="$image" border="0"> </a></td>
  </tr>
</table>
<table border="0" cellpadding="0" cellspacing="0" width="100%" background="$web_url/shadow.gif">
  <tr><td width="1%" bgcolor="#FFFFFF"><font color="#FFFFFF">_</font></td><td width="99%"></td></tr>
</table>


</body>
</html>

END_OF_ADDED

}







sub add_banner
{

$bgroup = $q->param('bgroup');
$gid = $q->param('gid');

$hbox = acs::get_heading_box("$web_url/ic_banner2.gif", "Add a New Banner ", qq[
Add a New Banner to the group called <b>'$bgroup'</b>
]);

print <<END_OF_BA;

<html>
<head>
<title>PowerSeek</title>
<link href="$web_url/ps.css" rel="stylesheet" type="text/css">
</head>
<body>
<form method="POST" action="$admin_url/admin30.cgi" ENCTYPE="multipart/form-data">
  <input type="hidden" name="fct" value="add_banner_final">
  <input type="hidden" name="bgroup" value="$bgroup">
  <input type="hidden" name="gid" value="$gid">

$hbox



<p>Banner Groups</a> &gt;&gt; <a
href="$admin_url/admin29.cgi?faction=Edit&amp;fct=group_operations&amp;group=$bgroup-$gid">$bgroup</a>&nbsp;
&gt;&gt; Add a New Banner</strong></span><br>
<br>
</p>

<table border="0" cellpadding="6" cellspacing="1" width="100%" bgcolor="#DADADA">
  <tr class="normaltext">
    <td width="100%" valign="top" bgcolor="#FFFFFF" colspan="2" background="$web_url/bar6.gif"><strong>Add
    a New Banner To Group: $bgroup </strong></td>
  </tr>
  <tr>
    <td width="21%" valign="top" bgcolor="#FFFFFF" class="normaltext">Banner Name: </td>
    <td width="79%" valign="top" bgcolor="#FFFFFF" class="normaltext"><input type="text"
    name="bname" size="28"> <strong>(Required) </strong><br>
    Only use alphabetical characters in the English alphabet or numerical characters. </td>
  </tr>
  <tr>
    <td width="21%" valign="top" bgcolor="#FFFFFF" class="normaltext">Banner to use or upload:
    </td>
    <td width="79%" valign="top" bgcolor="#FFFFFF" class="normaltext">Specify a URL link to a
    banner image:<br>
    <input type="text" name="image" size="53" value="http://"><strong><br>
    &nbsp; <br>
    -- or --<br>
    &nbsp; <br>
    </strong>Upload a Banner:<strong><br>
    </strong><input type="file" name="uploadfile" size="28"></td>
  </tr>
  <tr>
    <td width="21%" valign="top" bgcolor="#FFFFFF" class="normaltext">URL to go to when
    clicked: </td>
    <td width="79%" valign="top" bgcolor="#FFFFFF" class="normaltext"><input type="text"
    name="link" size="54" value="http://"> <strong>(Required) <br>
    </strong>Users are redirected to this URL when they click the banner image. </td>
  </tr>
  <tr>
    <td width="21%" valign="top" bgcolor="#FFFFFF" class="normaltext">Weight of Banner: </td>
    <td width="79%" valign="top" bgcolor="#FFFFFF" class="normaltext"><select name="weight"
    size="1">
      <option value="1"> 1 </option>
      <option value="2"> 2 </option>
      <option value="3"> 3 </option>
      <option value="4"> 4 </option>
      <option value="5"> 5 </option>
      <option value="6"> 6 </option>
      <option value="7"> 7 </option>
      <option value="8"> 8 </option>
      <option value="9"> 9 </option>
      <option value="10"> 10 </option>
    </select> <br>
    The higher the weight, the more the banner will be rotated. </td>
  </tr>
  <tr>
    <td width="21%" valign="top" bgcolor="#FFFFFF"></td>
    <td width="79%" valign="top" bgcolor="#FFFFFF"><p align="left"><input type="submit"
    value="Add New Banner" name="add_bgroup"> </td>
  </tr>
</table>

<table border="0" cellpadding="0" cellspacing="0" width="95%"
background="$web_url/shadow.gif">
  <tr>
    <td width="1%" bgcolor="#FFFFFF"><font color="#FFFFFF">_</font></td>
    <td width="99%"></td>
  </tr>
</table>


</body>
</html>

END_OF_BA

}



####################################################################################


sub get_setup
{

$exists = (-e "$config_cgi");
if ($exists > 0)
	{
	open (STP, "$config_cgi");
		while (defined($line=<STP>))
			{
			if ($line =~ m/#/g)
				{
				$r = pos($line);
				$line = substr($line, 0, $r - 1);
				}
				
				$line =~ s/\n//g;
	
if ($line =~ /^DB_NAME/){$db_name = &get_setup_line($line, DB_NAME);}
if ($line =~ /^DB_USERNAME/){$db_username = &get_setup_line($line, DB_USERNAME);}
if ($line =~ /^DB_PASSWORD/){$db_password = &get_setup_line($line, DB_PASSWORD);}
if ($line =~ /^MYSQL_HOSTNAME/){$mysql_hostname = &get_setup_line($line, MYSQL_HOSTNAME);}
if ($line =~ /^MYSQL_PORT/){$mysql_port = &get_setup_line($line, MYSQL_PORT);}

if ($line =~ /^SCRIPT_URL/){$script_url = &get_setup_line($line, SCRIPT_URL);}
if ($line =~ /^ADMIN_URL/){$admin_url = &get_setup_line($line, ADMIN_URL);}
if ($line =~ /^WEB_URL/){$web_url = &get_setup_line($line, WEB_URL);}
if ($line =~ /^WEB_DIR/){$web_dir = &get_setup_line($line, WEB_DIR);}
if ($line =~ /^DATA_DIR/){$data_dir = &get_setup_line($line, DATA_DIR);}

if ($line =~ /^USERNAME/){$username = &get_setup_line($line, USERNAME);}
if ($line =~ /^PASSWORD/){$password = &get_setup_line($line, PASSWORD);}


			}
	close (STP);
	
	}
}




sub get_setup_line
{
my ($setup_line, $setup_var) = @_;
$crit = "\"";
$setup_line =~ m/$crit/g;
$r1 = pos($setup_line);
$setup_line =~ m/$crit/g;
$r2 = pos($setup_line);
$setup_line = substr($setup_line, $r1, ($r2 - $r1 - 1));
$return_val = $setup_line;
return ($return_val);
}

#### END CONFIGURATION ########################################################

